/mnt/thread-witnesses/replication/bench/thread-witnesses/st-cross/../../../ourtool/goblint --conf conf/svcomp-yaml-validate.json --enable dbg.timing.enabled --set 'ana.activated[+]' apron --set ana.apron.domain polyhedra --witness.yaml.unassume /mnt/thread-witnesses/replication/bench/thread-witnesses/st-cross/../../../results/st-cross-self2/ourtool.2023-02-15_09-12-33.files/ourtool/nested_6.yml/witness.yml --witness.yaml.validate /mnt/thread-witnesses/replication/bench/thread-witnesses/st-cross/../../../results/st-cross-self2/ourtool.2023-02-15_09-12-33.files/ourtool/nested_6.yml/witness.yml --sets ana.specification ../properties/unreach-call.prp --sets exp.architecture 32bit ../plain/nested_6.c


--------------------------------------------------------------------------------


--sets is deprecated, use --set instead.
--sets is deprecated, use --set instead.
SV-COMP specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
[Warning][Witness] couldn't locate invariant: -6LL + (long long )a >= 0LL (../plain/nested_6.c:36:5)
[Warning][Witness] couldn't locate invariant: -6LL + (long long )b >= 0LL (../plain/nested_6.c:36:5)
[Warning][Witness] couldn't locate invariant: -6LL + (long long )c >= 0LL (../plain/nested_6.c:36:5)
[Warning][Witness] couldn't locate invariant: -6LL + (long long )d >= 0LL (../plain/nested_6.c:36:5)
[Warning][Witness] couldn't locate invariant: -6LL + (long long )e >= 0LL (../plain/nested_6.c:36:5)
[Warning][Witness] couldn't locate invariant: -6LL + (long long )f >= 0LL (../plain/nested_6.c:36:5)
[Info][Witness] unassume invariant: (((((((long long )a >= 0LL && -6LL + (long long )f >= 0LL) && -6LL + (long long )e >= 0LL) && -6LL + (long long )d >= 0LL) && -6LL + (long long )c >= 0LL) && -6LL + (long long )b >= 0LL) && a <= 6) && 0 <= a (../plain/nested_6.c:23:5-23:23)
[Info][Witness] unassume invariant: ((((((((((((((((((long long )f >= 0LL && (long long )e >= 0LL) && (long long )d >= 0LL) && (long long )c >= 0LL) && (long long )b >= 0LL) && (long long )a >= 0LL) && 6LL - (long long )f >= 0LL) && f <= 6) && e <= 5) && d <= 5) && c <= 5) && b <= 5) && a <= 5) && 0 <= f) && 0 <= e) && 0 <= d) && 0 <= c) && 0 <= b) && 0 <= a (../plain/nested_6.c:28:10-28:28)
[Info][Witness] unassume invariant: ((((((((((((((((((long long )f >= 0LL && (long long )e >= 0LL) && (long long )d >= 0LL) && (long long )c >= 0LL) && (long long )b >= 0LL) && (long long )a >= 0LL) && 6LL - (long long )f >= 0LL) && f <= 6) && e <= 5) && d <= 5) && c <= 5) && b <= 5) && a <= 5) && 0 <= f) && 0 <= e) && 0 <= d) && 0 <= c) && 0 <= b) && 0 <= a (../plain/nested_6.c:28:10-28:28)
[Info][Witness] unassume invariant: (((((((((((((((long long )e >= 0LL && (long long )d >= 0LL) && (long long )c >= 0LL) && (long long )b >= 0LL) && (long long )a >= 0LL) && -6LL + (long long )f >= 0LL) && e <= 6) && d <= 5) && c <= 5) && b <= 5) && a <= 5) && 0 <= e) && 0 <= d) && 0 <= c) && 0 <= b) && 0 <= a (../plain/nested_6.c:27:9-27:27)
[Info][Witness] unassume invariant: (((((((((((((((long long )e >= 0LL && (long long )d >= 0LL) && (long long )c >= 0LL) && (long long )b >= 0LL) && (long long )a >= 0LL) && -6LL + (long long )f >= 0LL) && e <= 6) && d <= 5) && c <= 5) && b <= 5) && a <= 5) && 0 <= e) && 0 <= d) && 0 <= c) && 0 <= b) && 0 <= a (../plain/nested_6.c:27:9-27:27)
[Info][Witness] unassume invariant: (((((((((((((long long )d >= 0LL && (long long )c >= 0LL) && (long long )b >= 0LL) && (long long )a >= 0LL) && -6LL + (long long )f >= 0LL) && -6LL + (long long )e >= 0LL) && d <= 6) && c <= 5) && b <= 5) && a <= 5) && 0 <= d) && 0 <= c) && 0 <= b) && 0 <= a (../plain/nested_6.c:26:8-26:26)
[Info][Witness] unassume invariant: (((((((((((((long long )d >= 0LL && (long long )c >= 0LL) && (long long )b >= 0LL) && (long long )a >= 0LL) && -6LL + (long long )f >= 0LL) && -6LL + (long long )e >= 0LL) && d <= 6) && c <= 5) && b <= 5) && a <= 5) && 0 <= d) && 0 <= c) && 0 <= b) && 0 <= a (../plain/nested_6.c:26:8-26:26)
[Info][Witness] unassume invariant: (((((((((((long long )c >= 0LL && (long long )b >= 0LL) && (long long )a >= 0LL) && -6LL + (long long )f >= 0LL) && -6LL + (long long )e >= 0LL) && -6LL + (long long )d >= 0LL) && c <= 6) && b <= 5) && a <= 5) && 0 <= c) && 0 <= b) && 0 <= a (../plain/nested_6.c:25:7-25:25)
[Info][Witness] unassume invariant: (((((((((((long long )c >= 0LL && (long long )b >= 0LL) && (long long )a >= 0LL) && -6LL + (long long )f >= 0LL) && -6LL + (long long )e >= 0LL) && -6LL + (long long )d >= 0LL) && c <= 6) && b <= 5) && a <= 5) && 0 <= c) && 0 <= b) && 0 <= a (../plain/nested_6.c:25:7-25:25)
[Info][Witness] unassume invariant: (((((((((long long )b >= 0LL && (long long )a >= 0LL) && -6LL + (long long )f >= 0LL) && -6LL + (long long )e >= 0LL) && -6LL + (long long )d >= 0LL) && -6LL + (long long )c >= 0LL) && b <= 6) && a <= 5) && 0 <= b) && 0 <= a (../plain/nested_6.c:24:6-24:24)
[Info][Witness] unassume invariant: (((((((((long long )b >= 0LL && (long long )a >= 0LL) && -6LL + (long long )f >= 0LL) && -6LL + (long long )e >= 0LL) && -6LL + (long long )d >= 0LL) && -6LL + (long long )c >= 0LL) && b <= 6) && a <= 5) && 0 <= b) && 0 <= a (../plain/nested_6.c:24:6-24:24)
[Info][Witness] unassume invariant: (((((((long long )a >= 0LL && -6LL + (long long )f >= 0LL) && -6LL + (long long )e >= 0LL) && -6LL + (long long )d >= 0LL) && -6LL + (long long )c >= 0LL) && -6LL + (long long )b >= 0LL) && a <= 6) && 0 <= a (../plain/nested_6.c:23:5-23:23)
[Info][Deadcode] Logical lines of code (LLoC) summary:
  live: 17
  dead: 0
  total lines: 17
[Warning][Deadcode][CWE-571] condition 'a == 6' is always true (../plain/nested_6.c:36:5-36:64)
[Success][Witness] invariant confirmed: 0 <= a (../plain/nested_6.c:24:6)
[Success][Witness] invariant confirmed: 0 <= b (../plain/nested_6.c:24:6)
[Success][Witness] invariant confirmed: a <= 5 (../plain/nested_6.c:24:6)
[Success][Witness] invariant confirmed: b <= 6 (../plain/nested_6.c:24:6)
[Success][Witness] invariant confirmed: -6LL + (long long )c >= 0LL (../plain/nested_6.c:24:6)
[Success][Witness] invariant confirmed: -6LL + (long long )d >= 0LL (../plain/nested_6.c:24:6)
[Success][Witness] invariant confirmed: -6LL + (long long )e >= 0LL (../plain/nested_6.c:24:6)
[Success][Witness] invariant confirmed: -6LL + (long long )f >= 0LL (../plain/nested_6.c:24:6)
[Success][Witness] invariant confirmed: (long long )a >= 0LL (../plain/nested_6.c:24:6)
[Success][Witness] invariant confirmed: (long long )b >= 0LL (../plain/nested_6.c:24:6)
[Success][Witness] invariant confirmed: 0 <= a (../plain/nested_6.c:25:7)
[Success][Witness] invariant confirmed: 0 <= b (../plain/nested_6.c:25:7)
[Success][Witness] invariant confirmed: 0 <= c (../plain/nested_6.c:25:7)
[Success][Witness] invariant confirmed: a <= 5 (../plain/nested_6.c:25:7)
[Success][Witness] invariant confirmed: b <= 5 (../plain/nested_6.c:25:7)
[Success][Witness] invariant confirmed: c <= 6 (../plain/nested_6.c:25:7)
[Success][Witness] invariant confirmed: -6LL + (long long )d >= 0LL (../plain/nested_6.c:25:7)
[Success][Witness] invariant confirmed: -6LL + (long long )e >= 0LL (../plain/nested_6.c:25:7)
[Success][Witness] invariant confirmed: -6LL + (long long )f >= 0LL (../plain/nested_6.c:25:7)
[Success][Witness] invariant confirmed: (long long )a >= 0LL (../plain/nested_6.c:25:7)
[Success][Witness] invariant confirmed: (long long )b >= 0LL (../plain/nested_6.c:25:7)
[Success][Witness] invariant confirmed: (long long )c >= 0LL (../plain/nested_6.c:25:7)
[Success][Witness] invariant confirmed: 0 <= a (../plain/nested_6.c:26:8)
[Success][Witness] invariant confirmed: 0 <= b (../plain/nested_6.c:26:8)
[Success][Witness] invariant confirmed: 0 <= c (../plain/nested_6.c:26:8)
[Success][Witness] invariant confirmed: 0 <= d (../plain/nested_6.c:26:8)
[Success][Witness] invariant confirmed: a <= 5 (../plain/nested_6.c:26:8)
[Success][Witness] invariant confirmed: b <= 5 (../plain/nested_6.c:26:8)
[Success][Witness] invariant confirmed: c <= 5 (../plain/nested_6.c:26:8)
[Success][Witness] invariant confirmed: d <= 6 (../plain/nested_6.c:26:8)
[Success][Witness] invariant confirmed: -6LL + (long long )e >= 0LL (../plain/nested_6.c:26:8)
[Success][Witness] invariant confirmed: -6LL + (long long )f >= 0LL (../plain/nested_6.c:26:8)
[Success][Witness] invariant confirmed: (long long )a >= 0LL (../plain/nested_6.c:26:8)
[Success][Witness] invariant confirmed: (long long )b >= 0LL (../plain/nested_6.c:26:8)
[Success][Witness] invariant confirmed: (long long )c >= 0LL (../plain/nested_6.c:26:8)
[Success][Witness] invariant confirmed: (long long )d >= 0LL (../plain/nested_6.c:26:8)
[Success][Witness] invariant confirmed: 0 <= a (../plain/nested_6.c:27:9)
[Success][Witness] invariant confirmed: 0 <= b (../plain/nested_6.c:27:9)
[Success][Witness] invariant confirmed: 0 <= c (../plain/nested_6.c:27:9)
[Success][Witness] invariant confirmed: 0 <= d (../plain/nested_6.c:27:9)
[Success][Witness] invariant confirmed: 0 <= e (../plain/nested_6.c:27:9)
[Success][Witness] invariant confirmed: a <= 5 (../plain/nested_6.c:27:9)
[Success][Witness] invariant confirmed: b <= 5 (../plain/nested_6.c:27:9)
[Success][Witness] invariant confirmed: c <= 5 (../plain/nested_6.c:27:9)
[Success][Witness] invariant confirmed: d <= 5 (../plain/nested_6.c:27:9)
[Success][Witness] invariant confirmed: e <= 6 (../plain/nested_6.c:27:9)
[Success][Witness] invariant confirmed: -6LL + (long long )f >= 0LL (../plain/nested_6.c:27:9)
[Success][Witness] invariant confirmed: (long long )a >= 0LL (../plain/nested_6.c:27:9)
[Success][Witness] invariant confirmed: (long long )b >= 0LL (../plain/nested_6.c:27:9)
[Success][Witness] invariant confirmed: (long long )c >= 0LL (../plain/nested_6.c:27:9)
[Success][Witness] invariant confirmed: (long long )d >= 0LL (../plain/nested_6.c:27:9)
[Success][Witness] invariant confirmed: (long long )e >= 0LL (../plain/nested_6.c:27:9)
[Success][Witness] invariant confirmed: 0 <= a (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: 0 <= b (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: 0 <= c (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: 0 <= d (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: 0 <= e (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: 0 <= f (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: a <= 5 (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: b <= 5 (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: c <= 5 (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: d <= 5 (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: e <= 5 (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: f <= 6 (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: 6LL - (long long )f >= 0LL (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: (long long )a >= 0LL (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: (long long )b >= 0LL (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: (long long )c >= 0LL (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: (long long )d >= 0LL (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: (long long )e >= 0LL (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: (long long )f >= 0LL (../plain/nested_6.c:28:10)
[Success][Witness] invariant confirmed: 0 <= a (../plain/nested_6.c:23:5)
[Success][Witness] invariant confirmed: a <= 6 (../plain/nested_6.c:23:5)
[Success][Witness] invariant confirmed: -6LL + (long long )b >= 0LL (../plain/nested_6.c:23:5)
[Success][Witness] invariant confirmed: -6LL + (long long )c >= 0LL (../plain/nested_6.c:23:5)
[Success][Witness] invariant confirmed: -6LL + (long long )d >= 0LL (../plain/nested_6.c:23:5)
[Success][Witness] invariant confirmed: -6LL + (long long )e >= 0LL (../plain/nested_6.c:23:5)
[Success][Witness] invariant confirmed: -6LL + (long long )f >= 0LL (../plain/nested_6.c:23:5)
[Success][Witness] invariant confirmed: (long long )a >= 0LL (../plain/nested_6.c:23:5)
[Info][Witness] witness validation summary:
  confirmed: 79
  unconfirmed: 0
  refuted: 0
  error: 21
  unchecked: 0
  unsupported: 0
  disabled: 0
  total validation entries: 100
SV-COMP result: unknown

vars = 57    evals = 208    narrow_reuses = 46

Timings:
                                  cputime   walltime   allocated   count
Default                            0.346s     0.346s    231.33MB      1×
  preprocess                         0.023s     0.021s      0.01MB      1×
  FrontC                             0.004s     0.004s      4.09MB      4×
  Cabs2cil                           0.005s     0.005s      4.71MB      4×
  mergeCIL                           0.003s     0.003s      3.34MB      1×
  analysis                           0.307s     0.307s    214.17MB      1×
    createCFG                          0.001s     0.001s      0.64MB      1×
      handle                             0.001s     0.001s      0.11MB     32×
      iter_connect                       0.001s     0.001s      0.42MB     32×
        computeSCCs                        0.001s     0.001s      0.25MB     33×
    FrontC                             0.003s     0.003s      1.00MB    158×
    Cabs2cil                           0.025s     0.025s     14.42MB    158×
    global_inits                       0.001s     0.001s      0.05MB      1×
    solving                            0.209s     0.209s    107.92MB      1×
      S.Dom.equal                        0.001s     0.001s      0.09MB    254×
      base unassume                      0.039s     0.039s     51.26MB     60×
      cheap_full_reach                   0.001s     0.001s      0.02MB      1×
      postsolver                         0.026s     0.026s     12.89MB      1×
        postsolver_iter                    0.026s     0.026s     12.84MB      1×
    warn_global                        0.001s     0.001s      0.23MB      1×
    witness                            0.001s     0.001s      0.16MB      1×
      determine                          0.001s     0.001s      0.16MB      1×
    result output                      0.001s     0.001s      0.01MB      1×
